Ruby 1.4.0

These docs were generated by RubyDocs.org.